.testimonial-image {
  width: 100%;
  min-height: 100vh;
  gap: 40px;
  padding: 60px 5%;
  background: url("../assets/backdrop/03.png") center/cover no-repeat;
}

.testimonial-wrapper {
  max-width: 900px;
  height: 600px;
  /*margin: 40px auto; */
  background: #ffffff;
  margin: 2rem auto;
  padding: 40px;
  border-radius: 15px;
  box-shadow: 0 10px 30px rgba(0,0,0,0.1);
  text-align: center;
  position: relative;
  transition: transform 0.3s ease;
  display: flex;
  flex-direction: column;
  justify-content: center; 
}

.testimonial-wrapper:hover {
  transform: translateY(-5px);
}

#testimonial-content {
  flex-grow: 1; 
  display: flex;
  flex-direction: column;
  justify-content: center;
  transition: opacity 0.3s ease-in-out;
  overflow: hidden;
}

.testimonial-text {
  font-style: italic;
  font-size: 1.1rem;
  color: #333;
  line-height: 1.6;
}

.testimonial-author {
  margin-top: 15px;
  color: #3498db;
  font-weight: bold;
}

#dot-container {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 12px;
}

.dot{
    width: 12px;
    height: 12px;
    background: #ccc;
    border-radius: 999px;
    overflow: hidden;
    position: relative;
    cursor: pointer;
    transition: width .3s ease;
}

.active-dot{
    width: 140px;
    /* background-color: #3498db; */
    transform: scale(1.1);
}

.dot:hover { background-color: #999; }


.dot-progress {
    position: absolute;
    inset: 0;
    width: 0%;
    background: #3498db;
    transition: width 50ms linear;
}

/* mobile */
@media (max-width: 600px) {
  .testimonial-wrapper { height: 900px; }
  .testimonial-text { font-size: 1rem; }
}